/*
 * Copyright (c) 2016, Huawei Technologies Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.openo.gso.gui.servicegateway.constant;

/**
 * Constant definition.<br/>
 * <p>
 * </p>
 * 
 * @author
 * @version GSO 0.5 2016/8/22
 */
public class Constant {

    /**
     * Service instance name.
     */
    public static final String SERVICE_NAME = "name";

    /**
     * Service instance description.
     */
    public static final String SERVICE_DESCRIPTION = "description";

    /**
     * Service instance ID.
     */
    public static final String SERVICE_INSTANCE_ID = "serviceId";

    /**
     * Service package ID.
     */
    public static final String SERVICE_DEF_ID = "serviceDefId";

    /**
     * Service template ID.
     */
    public static final String SERVICE_TEMPLATE_ID = "templateId";

    /**
     * Service template name.
     */
    public static final String SERVICE_TEMPLATE_NAME = "templateName";

    /**
     * service parameters
     */
    public static final String SERVICE_PARAMETERS = "parameters";

    /**
     * Create workflow name.
     */
    public static final String WORK_FLOW_PLAN_CREATE = "create";

    /**
     * Delete workflow name.
     */
    public static final String WORK_FLOW_PLAN_DELETE = "delete";

    /**
     * filed in wso2 body.
     */
    public static final String WSO_PROCESSID = "processId";

    /**
     * filed in wso2 body.
     */
    public static final String WSO_PARAMS = "params";

    /**
     * Response result;
     */
    public static final String RESPONSE_RESULT = "result";

    /**
     * Response status.
     */
    public static final String RESPONSE_STATUS = "status";

    /**
     * Response status description.
     */
    public static final String RESPONSE_STATUS_DESCRIPTION = "statusDescription";

    /**
     * Error code of response.
     */
    public static final String RESPONSE_ERRORCODE = "errorCode";

    /**
     * Operations success.
     */
    public static final String RESPONSE_STATUS_SUCCESS = "success";

    /**
     * Operation failed.
     */
    public static final String RESPONSE_STATUS_FAIL = "fail";

    /**
     * Identify of csar.
     */
    public static final String CSAR_ID = "csarId";

    /**
     * service identify.
     */
    public static final String SERVICE_INDENTIFY = "service";

    /**
     * Predefine parameter for service design
     */
    public static final String PREDEFINE_GSO_ID = "predefine_gsoId";

    /**
     * Constructor<br/>
     * <p>
     * </p>
     * 
     * @since GSO 0.5
     */
    private Constant() {

    }
}
